﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace iceFinder
{
    class CompassState
    {

        double heading;
        double pitch;
        double roll;
        double compTemp;
        double depth; //in feet


        public CompassState(string data)
        {
            string[] splitData;
            splitData = data.Split(new char[] { 'C','P','R','T','D','*'}, StringSplitOptions.RemoveEmptyEntries);

            heading = Convert.ToDouble(splitData[1]);
            pitch = Convert.ToDouble(splitData[2]);
            roll = Convert.ToDouble(splitData[3]);
            compTemp = Convert.ToDouble(splitData[4]);
            depth = Convert.ToDouble(splitData[5]);
        }

        public override string ToString()
        {
            return "Heading: " + heading.ToString() + " Pitch: " + pitch.ToString() + " Roll: " + roll.ToString() + 
                   " Compass Temperature: " + compTemp.ToString() + " Depth: " + depth.ToString();
        }

        public string logString()
        {
            return heading.ToString() + ";" + pitch.ToString() + ";" + roll.ToString() + ";" + compTemp.ToString() + ";" + depth.ToString()
                   + ";";
        }

        public double getHeading()
        {
            return heading;
        }
        public double getPitch()
        {
            return pitch;
        }
        public double getRoll()
        {
            return roll;
        }
        public double getCompTemp()
        {
            return compTemp;
        }
        public double getDepth()
        {
            return depth;
        }
    }
}
